
Name: kdump-anaconda-addon
Version: 006
Release: 2
Summary: Anaconda addon for configuring kdump.
License: GPLv2
URL: https://github.com/rhinstaller/kdump-anaconda-addon
Source0: https://github.com/rhinstaller/kdump-anaconda-addon/archive/%{version}.tar.gz
Source1: set-addon-default-on-and-close-service-when-ks-set-disable.patch
Source2: fix-test-failed-due-to-default-value-change.patch

Patch0:    backport-use-pytest-to-run-the-unit-tests.patch
Patch1:    Add-crashkernel-auto-for-Arm.patch
Patch2:    enable-kdump-and-set-default-reserve-memory-512M.patch
%if %{?openEuler:1}0
Patch3:    fix-test-failed-due-to-default-value-change-1.patch
%else
Patch4:    set-addon-default-on-and-close-service-when-ks-set-disable.patch
Patch5:    fix-test-failed-due-to-default-value-change.patch
%endif


BuildRequires: intltool gettext python3-pytest python3-blivet anaconda
Requires: anaconda >= 34.13 hicolor-icon-theme

Obsoletes: kexec-tools-anaconda-addon < 2.0.17-9
Provides: kexec-tools-anaconda-addon = %{version}-%{release}

BuildArch: noarch

%description
This is an anaconda addon for configuring kdump. To use, copy the
com_redhat_kdump directory into /usr/share/anaconda/addons on your
installation media.

%prep
%autosetup -n %{name}-%{version} -p1

%build

%install
%make_install
%find_lang kdump-anaconda-addon

%check
make unittest

%pre

%preun

%post

%postun

%files -f kdump-anaconda-addon.lang
%doc README
%license LICENSE
%{_datadir}/anaconda/addons/com_redhat_kdump
%{_datadir}/anaconda/dbus/confs/org.fedoraproject.Anaconda.Addons.Kdump.conf
%{_datadir}/anaconda/dbus/services/org.fedoraproject.Anaconda.Addons.Kdump.service
%{_datadir}/icons/hicolor/scalable/apps/kdump.svg

%changelog
* Wed Mar 06 2024 yanglu <yanglu72@h-partners.com> - 006-2
- Type:enhancement
- CVE:NA
- SUG:NA
- DESC:Add crashkernel auto for Arm 
       enable kdump and set default reserve memory 512MB
       fix test failed due to default value change

* Tue Nov 08 2022 yanglu <yanglu72@h-partners.com> - 006-1
- DESC: update kdump-anaconda-addon version to 006

* Mon Jun 06 2022 yanglu <yanglu72@h-partners.com> - 005-11
- DESC: enable make check

* Thu Apr 28 2022 yanglu <yanglu72@h-partners.com> - 005-10
- DESC: rebuild package

* Mon Aug 09 2021 chenyanpanHW <chenyanpan@huawei.com> - 005-6
- DESC: delete -Sgit from autosetup, and delete BuildRequires git

* Sat Aug 7 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 005-5
- revert "update version to 006"

* Wed Jul 7 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 006-1
- update version to 006

* Tue Sep 8 2020 wangchen <wangchen137@huawei.com> - 005-4
- modify the URL of Source0.

* Wed Jul 1 2020 fengtao <fengtao40@huawei.com> - 005-3
- backport some patches.

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 005-2
- Package rebuild.

* Sat Oct 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 005-1
- Package init.
